/*
 * Raima Database Manager
 *
 * Copyright (C) 2019 Raims Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 */
#if !defined(PERFTIMER_H)
typedef struct {
    unsigned int start;
    unsigned int end;
} perfTimer_t;

/*! \brief Simple stop watch function to return number of milliseconds
 */
void timeMeasureBegin(perfTimer_t *timer);
void timeMeasureEnd(perfTimer_t *timer);
unsigned int timeMeasureDiff(perfTimer_t *timer);

#define PERFTIMER_H
#endif
