/*
 * Raima Database Manager
 *
 * Copyright (C) 2016 Raims Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 */

/** \file pspplat.h
 *  \brief Header for the Platform Support Package - Main defines for the ABI
 */
#if !defined(PSPPLAT_H_INCLUDED_)
#define PSPPLAT_H_INCLUDED_

#include "pspplatos.h"

#if defined(_MSC_VER)
#define EXTERNAL_FCN __stdcall
#else
#define EXTERNAL_FCN
#endif

#if !defined(RDM_IMPORT)
#if defined(_MSC_VER)
#define RDM_IMPORT __declspec(dllimport)
#else
#define RDM_IMPORT
#endif
#endif

#if !defined(RDM_EXPORT)
#if defined(_MSC_VER)
#define RDM_EXPORT __declspec(dllexport)
#else
#define RDM_EXPORT
#endif
#endif

#if !defined(RDM_PUBLIC_CLASS)
#define RDM_PUBLIC_CLASS RDM_IMPORT
#endif

#ifndef PSP_PRIVATE
#define PSP_PRIVATE
#endif

#endif /* PSPPLAT_H_INCLUDED_ */
